#include <stdio.h>

int main(void)
{
	// Wyniki dwoch kolejnych wywolan funkcji printf sa takie same
	printf("Hello, world ");
	printf("%s", "Hello, world ");

	printf("\n");      // od nowej lini
	
	// Hello! (kody szesnastkowe znakow ASCII)
	printf("\x48\x65\x6C\x6C\x6F\x21");
	// nowa linia (szesnastkowy kod znaku ASCII)
	printf("\xA");
	// Hello! (kody osemkowe znakow ASCII)
	printf("\110\145\154\154\157\41");
	// nowa linia (semkowy kod znaku ASCII)
	printf("\12");

	// Dwa sposoby przenoszenia tekstu w kodzie do nastepnej lini
	printf("Ten tekst \
jest w jednej lini \n");
	printf("Ten tekst tez "
		   "jest w jednej lini \n");

	// Tego tekstu prawie wcale nie zobaczysz...
	printf("Spokojnie, to tylko powrot  karetki \r");
	// ...bo zostanie w wiekszosci zastapiony napisem:
	printf("Do wypadku przyjechaly dwie \n");

	printf("0 1 2 4\b"); // cofniecie karetki

	printf("\n\t");      // nowa linia i tabulacja
	printf("c", '&');    // wyprowadzenie znaku
	printf("\n\t");
	printf("%d", 89);    // wyprowadzenie liczby calkowitej dziesiatkowej
	printf("\n\t");
	printf("%o", 0344);  // wyprowadzenie liczby osemkowej 344
	printf("\n\t");
	printf("%X", 0XA1);  // wyprowadzenie liczby szesnastkowej A1
	printf("\n\t");

	// rozne sposoby wyprowadzania liczby rzeczywistej
	printf("%f", 12.5);
	printf("\n\t");
	printf("%e", 12.5);
	printf("\n\t");
	printf("%g", 12.5);

	printf("\n\n Nacisnij ENTER, aby zakonczyc program...");
	while (getchar() != '\n');
	return 0;
}
