/* Przyklad linked list */

#include <stdio.h>  // printf, NULL
#include <string.h> // strcpy
#include <stdlib.h> // malloc, free

#define REKORDY 6   // liczba rekordow

int main(void)
{
struct zwierzak
{
	char nazwa[25];          /* Nazwa zwierzaka      */
	char gatunek[25];        /* Gatunek zwierzaka    */
	int wiek;                /* Wiek zwierzaka       */
	/* Wskaznik do nastepnego rekordu tego samego typu */
	struct zwierzak *nastepny;
} *wskaznik, *start, *poprzedni; /* Definicja 3 wskaznikow, brak zmiennych */

int licznik;

	/* Pierwszy rekord jest zawsze specjalnie traktowany */
	start = (struct zwierzak *)malloc(sizeof(struct zwierzak));
	strcpy(start->nazwa, "Napoleon");
	strcpy(start->gatunek, "kanarek");
	start->wiek = 4;
	start->nastepny = NULL;
	poprzedni = start;

	/* Reszta rekordow jest wypelniana danymi w petli for */
	for (licznik = 0; licznik < REKORDY; licznik++)
	{
		wskaznik = (struct zwierzak *)malloc(sizeof(struct zwierzak));
		strcpy(wskaznik->nazwa, "Zizi");
		strcpy(wskaznik->gatunek, "papuga");
		wskaznik->wiek = 3;
		poprzedni->nastepny = wskaznik;
		wskaznik->nastepny = NULL;
		poprzedni = wskaznik;
	}

	wskaznik = start;
	do
	{
		poprzedni = wskaznik->nastepny;
		printf("%s to %s w wieku %d lat \n",
			wskaznik->nazwa, wskaznik->gatunek, wskaznik->wiek);
		wskaznik = wskaznik->nastepny;
	} while (poprzedni != NULL);

	printf("\nNacisnij ENTER, aby zakonczyc program...");
	while (getchar() != '\n');   /* Czekaj na ENTER */
	return 0;
}
