/* Tablica wskaznikow i dynamiczna alokacja pamieci */

#include <stdio.h>  // printf, getchar
#include <string.h> // strcpy
#include <stdlib.h> // malloc, free

int main(void)
{
struct zwierzak
{
	char nazwa[25];
	char gatunek[25];
	int wiek;
} *ptaszek[12], *pisklak;   /* Definicja 13 wskaznikow, zadnych zmiennych */

int index;    /* Zmienna pomocnicza */

    /* Utworz i wypelnij dynamiczna strukture jakimis danymi */
	for (index = 0; index < 12; index++)
	{
		ptaszek[index] = (struct zwierzak *)malloc(sizeof(struct zwierzak));
		strcpy(ptaszek[index]->nazwa, "Dziobak");
		strcpy(ptaszek[index]->gatunek, "Tukan");
		ptaszek[index]->wiek = 4;
	}
	/* Podstaw jakies przypadkowe wartosci */
	ptaszek[4]->wiek = 12;
	ptaszek[5]->wiek = 15;
	ptaszek[6]->wiek = 10;

    /* Wyswietl dane wygenerowane powyzej */
	printf(" NAZWA    GATUNEK    WIEK \n\n");
	for (index = 0; index < 12; index++)
	{
		pisklak = ptaszek[index];
		printf("%s    %s      %d \n",
			pisklak->nazwa, pisklak->gatunek, pisklak->wiek);
	}

    /* Dobrym zwyczajem uwalniamy zaalokowane wczeniej
	   miejsce na stercie przed wyjsciem z programu */
	for (index = 0; index < 12; index++)
		free(ptaszek[index]);
	
	printf("\nNacisnij ENTER, aby zakonczyc program...");
	while (getchar() != '\n');   /* Czekaj na ENTER */
	return 0;
}
