/****************************************************************/
/*                                                              */
/*   Ten program wyswietla tablice konwersji skali temperatur   */
/*                                                              */
/*                        TERMIO                                */
/*                            ...                               */
/*                                                              */
/*                                                              */
/****************************************************************/

/* Pliki naglowkowe */

#include <stdio.h>     /* Funkcje wejscia/wyjscia */

/***************************************/
/*                                     */
/* Funkcja glowna main                 */
/*                                     */
/* zadanie - realizacja celu programu  */
/* argumenty:                          */
/*  - przekazywane: brak               */
/*  - zwracane: kod zakonczenia        */
/*                                     */
/***************************************/

int main(void)
{
int licznik;    /* zmienna pomocnicza - licznik obiegu petli */
int farenheit;  /* temperatura w stopniach Farenheita        */
int celsius;    /* temperatura w stopniach Celsjusza         */

	printf(" Tablica konwersji skali temperatur \n\n");

	/* Petla for generuje tabele wyswietlana na ekranie */
	for (licznik = -2; licznik <= 12; licznik = licznik + 1)
	{
		celsius = 10 * licznik;
		farenheit = 32 + (celsius * 9)/5;
		printf("  C =%4d   F =%4d  ", celsius, farenheit);
		if (celsius == 0)
			printf(" Punkt zamarzania wody");
		if (celsius == 100)
			printf(" Punkt wrzenia wody");
		printf("\n");
	} /* Koniec petli for */
   
	printf("\n Nacisnij ENTER, aby zakonczyc program...");
	while (getchar() != '\n');   /* Czekaj na ENTER */
	return 0; /* Zwrot zera do systemu */
}
/* Koniec programu termio */