#include <iostream.h>
#include <stdlib.h>

// Definicje funkcji inline
// odpowiedzialnych za konkretne dzialania
inline int dodawanie(int a, int b) {return (a + b);}
inline int odejmowanie(int a, int b) {return (a - b);}
inline int mnozenie(int a, int b) {return (a*b);}

// Trzyelementowa tablica wskaznikw do funkcji
// wywolywanej z dwoma argumentami typu int
// i zwracajacej jako rezultat liczbe calkowita
int (*dzialanie[3])(int, int) = {dodawanie, odejmowanie, mnozenie};

int main(void)
{
int x;
int a = 10, b = 5;

	cout << "Wybierz dzialanie do wykonania" << endl <<
		"1 : dodawanie" << endl <<
		"2 : odejmowanie" << endl <<
		"3 : mnozenie" << endl;
	cin >> x;

    // W zaleznosci od wyboru uzytkownika
    // wykonaj jedno z dzialan
	switch (x)
	{
        case 1 : cout << (*dzialanie[0])(a, b) << endl;
            break;
        case 2 : cout << (dzialanie[1])(a, b) << endl;
            break;
        case 3 : cout << dzialanie[2](a, b) << endl;
            break;
        default : cout << "Zla opcja!" << endl;
	}
	system("pause");
	return 0;
}
