#include <stdio.h>

/* 
	- autor: Piotr Grabowski
	- oblicza silnie rekurencyjnie i iteracyjnie
*/

unsigned long int silnia_rek(int n);
unsigned long int silnia_iter(int n);

int main()
{
int x;

	printf("\n SILNIA \n");
	printf("\n Podaj liczbe naturalna (dziesiatkowo), \n"
           " dla ktorej chcesz obliczyc silnie:         ");
	scanf("%d", &x);
	
	printf("\n Silnia obliczona rekurencyjnie : %ld", silnia_rek(x));
	printf("\n Silnia obliczona iteracyjnie   : %ld", silnia_iter(x));
	
	fflush(stdin);
	while (getchar() != '\n');
	return 0;
}

unsigned long int silnia_rek(int n)
{
	if (n <= 1)
		return 1;
	else
		return n*silnia_rek(n - 1);
}

unsigned long int silnia_iter(int n)
{
unsigned long int silnia = 1;
int i;

	for (i = 2; i <= n; i++)
		silnia = silnia*i;
	return silnia;
}
	
